YUI Flash Component Documentation |
Class AnimationEvent

Package | com.yahoo.astra.animation
Class | public class AnimationEvent
Inheritance | AnimationEvent flash.events.Event

The AnimationEvent class represents events that are broadcast by the com.yahoo.astra.animation.Animation class.

See also

com.yahoo.astra.animation.Animation

Public Properties

| Property | Defined by
--- | --- | ---
|  | parameters : Object The values of the properties controlled by the animation, when the event occurred. | AnimationEvent

Public Methods

| Method | Defined by
--- | --- | ---
|  | AnimationEvent(type:String, parameters:Object) Constructor. | AnimationEvent

Public Constants

| Constant | Defined by
--- | --- | ---
|  | COMPLETE : String = "animationComplete" [static] Indicates that the animation has reached the end and finished. | AnimationEvent
|  | PAUSE : String = "animationPause" [static] Indicates that the animation has been paused. | AnimationEvent
|  | START : String = "animationStart" [static] Indicates that the animation has started playing. | AnimationEvent
|  | UPDATE : String = "animationUpdate" [static] Indicates that the animation has changed and the screen has been updated. | AnimationEvent

Property detail

parameters | property

`public var parameters:Object`

The values of the properties controlled by the animation, when the event occurred.

Constructor detail

AnimationEvent | () | constructor

`public function AnimationEvent(type:String, parameters:Object)`

Constructor.

Parameters

| `type:String` — The event type; indicates the action that caused the event.
| `parameters:Object` — The current values of the properties controlled by the animation.

Constant detail

COMPLETE | constant

`public static const COMPLETE:String = "animationComplete"`

Indicates that the animation has reached the end and finished.

The properties of the event object have the following values:

Property | Value
--- | ---
`bubbles` | false
`cancelable` | false
`currentTarget` | The object that defines the event listener that handles the event. For example, if you use `myButton.addEventListener()` to register an event listener, `myButton` is the value of the `currentTarget` property.
`target` | The object that dispatched the event; it is not always the object listening for the event. Use the `currentTarget` property to always access the object listening for the event.
`parameters` | The values of the properties controlled by the animation, when the event occurred.

PAUSE | constant |

`public static const PAUSE:String = "animationPause"`

Indicates that the animation has been paused.

The properties of the event object have the following values:

Property | Value
--- | ---
`bubbles` | false
`cancelable` | false
`currentTarget` | The object that defines the event listener that handles the event. For example, if you use `myButton.addEventListener()` to register an event listener, `myButton` is the value of the `currentTarget` property.
`target` | The object that dispatched the event; it is not always the object listening for the event. Use the `currentTarget` property to always access the object listening for the event.
`parameters` | The values of the properties controlled by the animation, when the event occurred.

START | constant |

`public static const START:String = "animationStart"`

Indicates that the animation has started playing.

The properties of the event object have the following values:

Property | Value
--- | ---
`bubbles` | false
`cancelable` | false
`currentTarget` | The object that defines the event listener that handles the event. For example, if you use `myButton.addEventListener()` to register an event listener, `myButton` is the value of the `currentTarget` property.
`target` | The object that dispatched the event; it is not always the object listening for the event. Use the `currentTarget` property to always access the object listening for the event.
`parameters` | The values of the properties controlled by the animation, when the event occurred.

UPDATE | constant |

`public static const UPDATE:String = "animationUpdate"`

Indicates that the animation has changed and the screen has been updated.

The properties of the event object have the following values:

Property | Value
--- | ---
`bubbles` | false
`cancelable` | false
`currentTarget` | The object that defines the event listener that handles the event. For example, if you use `myButton.addEventListener()` to register an event listener, `myButton` is the value of the `currentTarget` property.
`target` | The object that dispatched the event; it is not always the object listening for the event. Use the `currentTarget` property to always access the object listening for the event.
`parameters` | The values of the properties controlled by the animation, when the event occurred.